> pnts = (gp_Pnt(0,0,0), gp_Pnt(10,0,0), gp_Pnt(10,0,10), gp_Pnt(0,0,10) )
> wire = make_closed_polygon( pnts )
> 
> Now I would like to offset this wire to create a new smaller rectangle in the 
> same plane as the original. Any ideas how to do this - I am looking at 
> Geom_OffsetCurve but not sure what to do…


Hi Patrick,

from OCC.BRepOffsetAPI import *
offset = BRepOffsetAPI_MakeOffset(wire)
offset.Perform(offset_value)

Cheers,

-jelle
_______________________________________________
Pythonocc-users mailing list
Pythonocc-users@gna.org
https://mail.gna.org/listinfo/pythonocc-users

Reply via email to